---
title: 'ARIA: Navigation Role'
slug: Web/Accessibility/ARIA/Roles/Navigation_Role
tags:
  - ARIA
  - ARIA Role
  - Reference
  - role-navigation
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p><span class="seoSummary">The <code>navigation</code> <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> is used to identify major groups of links used for navigating through a website or page content.</span></p>

<pre class="brush: html">&lt;div role="navigation" aria-label="Main"&gt;
  &lt;!-- list of links to main website locations --&gt;
&lt;/div&gt;
</pre>

<p>This is a website's main navigation.</p>

<h2 id="Description">Description</h2>

<p>The <code>navigation</code> role is <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">a landmark</a> role. Landmark roles provide a way to identify the organization and structure of a web page. By classifying and labeling sections of a page, structural information conveyed visually through layout is represented programmatically. Screen readers use landmark roles to provide keyboard navigation to important sections of a page. Like the HTML &lt;nav&gt; element, navigation landmarks provide a way to identify groups (e.g. lists) of links that are intended to be used for website or page content navigation. If a page includes more than one navigation landmark, each should have a unique label. If two or more navigational landmark on a page have the same set of links, use the same label for each.</p>

<p>It is preferable to use the HTML5 <a href="/en-US/docs/Web/HTML/Element/nav"><code>&lt;nav&gt;</code> element</a> to define a navigation landmark. If the HTML5 nav element technique is not being used, use a <code>role="navigation"</code> attribute to define a navigation landmark.</p>

<div class="note">
<p>Using the <a href="/en-US/docs/Web/HTML/Element/nav"><code>&lt;nav&gt;</code> element</a> will automatically communicate a section has a role of <code>navigation</code>. Developers should always prefer using the correct semantic HTML element over using ARIA.</p>
</div>

<h3 id="Associated_WAI-ARIA_Roles_States_and_Properties">Associated WAI-ARIA Roles, States, and Properties</h3>

<dl>
 <dt>aria-label</dt>
 <dd>A brief description of the purpose of the navigation, omitting the term "navigation", as the screen reader will read both the role and the contents of the label.</dd>
</dl>

<h3 id="Keyboard_Interactions">Keyboard Interactions</h3>

<p>None.</p>

<h3 id="Required_JavaScript_features">Required JavaScript features</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre><span class="tag">&lt;div role="navigation" aria-label="Customer service"&gt;
</span>  &lt;ul&gt;
    &lt;li&gt;&lt;a href="#"&gt;Help&lt;/a&gt;&lt;/li&gt;
    &lt;li&gt;&lt;a href="#"&gt;Order tracking&lt;/li&gt;
    &lt;li&gt;&lt;a href="#"&gt;Shipping &amp;amp; Delivery&lt;/a&gt;&lt;/li&gt;
    &lt;li&gt;&lt;a href="#"&gt;Returns&lt;/a&gt;&lt;/li&gt;
    &lt;li&gt;&lt;a href="#"&gt;Contact us&lt;/a&gt;&lt;/li&gt;
    &lt;li&gt;&lt;a href="#"&gt;Find a store&lt;/a&gt;&lt;/li&gt;
  &lt;/ul&gt;
<span class="tag">&lt;/div&gt;</span>
</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles</a> are intended to be used sparingly, to identify larger overall sections of the document. Using too many landmark roles can create "noise" in screen readers, making it difficult to understand the overall layout of the page.</p>

<h2 id="Best_practices">Best practices</h2>

<h3 id="Prefer_HTML">Prefer HTML</h3>

<p>Using the <a href="/en-US/docs/Web/HTML/Element/nav"><code>&lt;nav&gt;</code> element</a> will automatically communicate a section has a role of <code>navigation</code>. If at all possible, prefer using it instead.</p>

<h3 id="Labeling_landmarks">Labeling landmarks</h3>

<h4 id="Multiple_landmarks">Multiple landmarks</h4>

<p>If there is more than one <code>navigation</code> landmark role or <a href="/en-US/docs/Web/HTML/Element/nav"><code>&lt;nav&gt;</code> element</a> in a document, provide a label for each landmark. This label will allow an assitive technology user to be able to quickly understand the purpose of each landmark.</p>

<pre class="brush: html">&lt;div id="main-nav" role="navigation" aria-label="Main"&gt;
  &lt;!-- content --&gt;
&lt;/div&gt;

...

&lt;nav id="footer-nav" aria-label="Footer"&gt;
  &lt;!-- content --&gt;
&lt;/nav&gt;
</pre>

<h4 id="Repeated_landmarks">Repeated landmarks</h4>

<p>If a <code>navigation</code> landmark role or <a href="/en-US/docs/Web/HTML/Element/nav"><code>&lt;nav&gt;</code> element</a> in a document is repeated in a document, and both landmarks have identical content, use the same label for each landmark. An example of this would be repeating the main navigation at the top and bottom of the page.</p>

<pre class="brush: html">&lt;header&gt;
  &lt;nav id="main-nav" aria-label="Main"&gt;
    &lt;!-- list of links to main website locations --&gt;
  &lt;/nav&gt;
&lt;/header&gt;

...

&lt;footer&gt;
  &lt;nav id="footer-nav" aria-label="Main"&gt;
    &lt;!-- list of links to main website locations --&gt;
  &lt;/nav&gt;
&lt;/footer&gt;
</pre>

<h4 id="Redundant_descriptions">Redundant descriptions</h4>

<p>Screen readers will announce the type of role the landmark is. Because of this, you do not need to describe what the landmark is in its label. For example, a declaration of <code>role="navigation"</code> with an of <code>aria-label="Primary navigation"</code> may be announced redundantly as, "primary navigation navigation".</p>

<h3 id="Added_benefits">Added benefits</h3>

<p>Certain technologies such as browser extensions can generate lists of all landmark roles present on a page, allowing non-screen reader users to also quickly identify and navigate to large sections of the document.</p>

<ul>
 <li><a href="http://matatk.agrip.org.uk/landmarks/">Landmarks browser extension</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#navigation","ARIA Navigtion Role")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
  <tr>
   <td>{{SpecName("ARIA Authoring Practices","#aria_lh_navigation","Navigation Landmark Role")}}</td>
   <td>{{Spec2('ARIA Authoring Practices')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Element/nav">&lt;nav&gt;: The Navigation section element</a></li>
 <li><a href="https://www.w3.org/TR/wai-aria/#navigation">navigation (role): Accessible Rich Internet Applications (WAI-ARIA) 1.1</a></li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines">Using HTML sections and outlines</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles: Using ARIA: Roles, States, and Properties</a></li>
 <li><a href="https://developer.paciellogroup.com/blog/2013/02/using-wai-aria-landmarks-2013/">Using WAI-ARIA Landmarks – 2013 | The Paciello Group</a></li>
 <li><a href="https://www.scottohara.me/blog/2018/03/03/landmarks.html">Accessible Landmarks | scottohara.me</a></li>
 <li><a href="http://html5doctor.com/nav-element/">Semantic navigation with the nav element | HTML5 Doctor</a></li>
</ul>
